MyGUI::ILogListener Class Reference

`#include <MyGUI_ILogListener.h>`

Inheritance diagram for MyGUI::ILogListener:
[legend]

## Public Member Functions

virtual | ~ILogListener ()=default
virtual void | open ()
virtual void | close ()
virtual void | flush ()
virtual void | log (std::string_view, LogLevel, const struct tm *, std::string_view, std::string_view, int)

## Detailed Description

Definition at line 16 of file MyGUI_ILogListener.h.

## Constructor & Destructor Documentation

## ~ILogListener()

virtual MyGUI::ILogListener::~ILogListener | ( |  | ) |

virtual default

## Member Function Documentation

## close()

virtual void MyGUI::ILogListener::close | ( |  | ) |

inline virtual

Opens log listener. (for example close file)

Reimplemented in MyGUI::FileLogListener.

Definition at line 26 of file MyGUI_ILogListener.h.

## flush()

virtual void MyGUI::ILogListener::flush | ( |  | ) |

inline virtual

Flush log listener messages.

Reimplemented in MyGUI::FileLogListener.

Definition at line 30 of file MyGUI_ILogListener.h.

## log()

virtual void MyGUI::ILogListener::log | ( | std::string_view | ,
|  | LogLevel | ,
|  | const struct tm * | ,
|  | std::string_view | ,
|  | std::string_view | ,
|  | int | )

inline virtual

Log message.

Reimplemented in MyGUI::ConsoleLogListener, and MyGUI::FileLogListener.

Definition at line 34 of file MyGUI_ILogListener.h.

## open()

virtual void MyGUI::ILogListener::open | ( |  | ) |

inline virtual

Opens log listener. (for example open file)

Reimplemented in MyGUI::FileLogListener.

Definition at line 22 of file MyGUI_ILogListener.h.

The documentation for this class was generated from the following file:

- MyGUI_ILogListener.h